﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/***********************************************************************************************************************************
 *   Nombre: ExpedienteGrid
 *   Fecha: 07/11/2011 (San Prosdócimo de Padua)
 *   Descripción: Clase para recoger los datos que se mostraran en los distintos grids del proyecto.
 *   Autor: José Juan Alvarado Almenara
 ***********************************************************************************************************************************/

namespace Recurso_Administrativo.Clases
{
    public class ExpedienteGrid
    {
        public virtual int ID { set; get; }
        public virtual string Expediente { set; get; }
        public virtual string Tipo_Recurso { set; get; }
        public virtual DateTime Fecha_Entrada { set; get; }

        public ExpedienteGrid CargarExpGrid(Recurso_Administrativo.Persistencia.T_EXPEDIENTE_F1 _expF1, string strTipRec)
        {
            this.ID = _expF1.EF1_CLAVE;
            this.Expediente = _expF1.EF1_NUMREG;
            this.Tipo_Recurso = strTipRec;
            this.Fecha_Entrada = (DateTime) _expF1.EF1_FECREGCON;
            return this;
        }
    }
}
