﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Recurso_Administrativo.Persistencia;

/******************************************************************************************************************************
 *   Nombre: TipoEstExpSer
 *   Fecha: 18/12/2011
 *   Descripción: Clase para obtener los tipos de desestimaciones del expediente y cargar los diferentes combos de la aplicacion
 *   Autor: José Juan Alvarado Almenara
 ******************************************************************************************************************************/

namespace Recurso_Administrativo.Clases
{
    public class TipoEstExpSer
    {
        LinqDBDataContext dc = new LinqDBDataContext();

        internal List<TS_DESESTIMACIONES> getDes() // Obtemos solo posibles desestimaciones
        {
            var des = from u in dc.TS_DESESTIMACIONES
                      where u.DE_CLAVE == 2
                      select u;
            return des.ToList();
        }

        internal List<TS_DESESTIMACIONES> getDes2() // obtenemo aquellos registros cuya clave es mayor que 2
        {
            var des = from u in dc.TS_DESESTIMACIONES
                      where u.DE_CLAVE > 1
                      select u;
            return des.ToList();
        }

        internal List<TS_DESESTIMACIONES> getDesAll() //obtenemos toda la tabla
        {
            var des = from u in dc.TS_DESESTIMACIONES
                      select u;
            return des.ToList();
        }
    }
}
