﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using Recurso_Administrativo.Persistencia;

/******************************************************************************************************************************
 *   Nombre: TipoRecursoServicio
 *   Fecha: 08/11/2011
 *   Descripción: Clase para obtener todos los tipos de recurso y cargar los combos
 *   Autor: José Juan Alvarado Almenara
 ******************************************************************************************************************************/

namespace Recurso_Administrativo.Clases
{
    partial class TipoRecursoServicio
    {
        LinqDBDataContext dc = new LinqDBDataContext();
        internal List<TS_TIPORECURSO> getTipRec()
        {
            var tip = from u in dc.TS_TIPORECURSO
                      select u;
            return tip.ToList();
        }

        internal string getTipRec(int ID) // Obtenemos el tipo de recurso por su id
        {
            var tip = from u in dc.TS_TIPORECURSO
                      where u.TR_CLAVE == ID
                      select u;
            return tip.First().TR_DESC;
        }
    }
}
