﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Recurso_Administrativo.Persistencia;


/******************************************************************************************************************************
 *   Nombre: UsuarioServicio
 *   Fecha: 07/11/2011
 *   Descripción: Clase que se encargará de gestionar las consultas a las tablas de usuario para realizar la validación del usuario
 *   y permitir el acceso al programa
 *   Autor: José Juan Alvarado Almenara
 ******************************************************************************************************************************/ 
namespace Recurso_Administrativo.Clases

{
    partial class UsuarioServicio
    {
        LinqDBDataContext dc = new LinqDBDataContext();

        internal Usuario getUsr(string usr, string psw)
        {
            Usuario _usr = new Usuario();
            var usu = from u in dc.T_USUARIO 
                      from od in dc.TS_TIPOUSUARIO
                      where u.USR_LOG == usr && u.USR_PASS == psw && u.USR_TU_CF == od.TU_CLAVE
                      select new {u, od};
            if (usu.Count() == 1)
            {
                _usr.clave = usu.First().u.USR_CLAVE;
                _usr.usr = usu.First().u.USR_LOG;
                _usr.tipUsr = usu.First().od.TU_DESC;
                _usr.ccdd = usu.First().u.USR_CD_CF;
                return _usr;
            }
            else
                return null;
        }


        internal T_USUARIO getUsrID(int ID)
        {
            var usu = from u in dc.T_USUARIO
              
                      where u.USR_CLAVE == ID
                      select  u;
            if (usu.Count() == 1)
            {
                return usu.First();
            }
            else
                return null;
        }
    }
}
