﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Recurso_Administrativo.Persistencia;

/******************************************************************************************************************************
 *   Nombre: ConsultaServicio
 *   Fecha: 01/12/2011
 *   Descripción: Clase para obtener todos los expedientes en las distintas fases devolviendolo en un List
 *   Autor: José Juan Alvarado Almenara
 ******************************************************************************************************************************/

namespace Recurso_Administrativo.Clases
{
    partial class ConsultaServicio
    {
        LinqDBDataContext dc = new LinqDBDataContext();

        // Obtenemos todos los expedientes //

        internal List<V_Todos> GetExpediente()
        {
            
            var exp = from u in dc.V_Todos
                      select u;
            if (exp.Count() > 0)
                return exp.ToList();
            else
                return null;
        }
    }
}
